package com.steering.model.sale;

/**
 * 数据库表SLM_ORDER_LINE_PRDCR_LST所对应的实体类（生成工具：代码生成器2.3）
 * @author USER-20150712LG   date 2015-08-27
 */
public class SlmOrderLinePrdcrLstEntity {
    /**
     * 监制编号的序号
     */
    private String prdcrIndex;
    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     */
    private String prdcrNo;
    /**
     * 工序代码
     */
    private String processCode;
    /**
     * 工序名称
     */
    private String processDesc;
    /**
     * 二级工序代码
     */
    private String processCodeC;
    /**
     * 二级工序名称
     */
    private String processDescC;
    /**
     * 工序点代码
     */
    private String stationCode;
    /**
     * 工序点名称
     */
    private String stationDesc;
    /**
     * 监制要求标识
     */
    private String prdcrPrcFl;
    /**
     * 监制类型(COM_BASE_INFO:1220)
     */
    private String prdcrPrcDesc;
    /**
     * 提前天数
     */
    private String prdcrAdvcDay;
    /**
     * 监制单位编码(D+4位流水号)
     */
    private String pdeptNo;
    /**
     * 监制单位名称
     */
    private String pdeptName;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 监制单位编码2
     */
    private String pdeptNo2;
    /**
     * 监制单位名称2
     */
    private String pdeptName2;
    /**
     * 联系电话2
     */
    private String phone2;
    /**
     * 监制单位编码3
     */
    private String pdeptNo3;
    /**
     * 监制单位名称3
     */
    private String pdeptName3;
    /**
     * 联系电话3
     */
    private String phone3;
    /**
     * 到场监制人员
     */
    private String prdcrMan;
    /**
     * 到场监制人电话
     */
    private String prdcrManPhone;
    /**
     * 到场时间
     */
    private String arriveTime;
    /**
     * 完成时间
     */
    private String finishTime;
    /**
     * 到场监制人员2
     */
    private String prdcrMan2;
    /**
     * 到场监制人电话2
     */
    private String prdcrManPhone2;
    /**
     * 到场时间2
     */
    private String arriveTime2;
    /**
     * 完成时间2
     */
    private String finishTime2;
    /**
     * 到场监制人员3
     */
    private String prdcrMan3;
    /**
     * 到场监制人电话3
     */
    private String prdcrManPhone3;
    /**
     * 到场时间3
     */
    private String arriveTime3;
    /**
     * 完成时间3
     */
    private String finishTime3;
    /**
     * 备注
     */
    private String memo;

    public SlmOrderLinePrdcrLstEntity(){
        prdcrIndex = "";
        prdcrNo = "";
        processCode = "";
        processDesc = "";
        processCodeC = "";
        processDescC = "";
        stationCode = "";
        stationDesc = "";
        prdcrPrcFl = "";
        prdcrPrcDesc = "";
        prdcrAdvcDay = "";
        pdeptNo = "";
        pdeptName = "";
        phone = "";
        pdeptNo2 = "";
        pdeptName2 = "";
        phone2 = "";
        pdeptNo3 = "";
        pdeptName3 = "";
        phone3 = "";
        prdcrMan = "";
        prdcrManPhone = "";
        arriveTime = "";
        finishTime = "";
        prdcrMan2 = "";
        prdcrManPhone2 = "";
        arriveTime2 = "";
        finishTime2 = "";
        prdcrMan3 = "";
        prdcrManPhone3 = "";
        arriveTime3 = "";
        finishTime3 = "";
        memo = "";
    }

    /**
     * 监制编号的序号
     * @return value
     */
    public String getPrdcrIndex() {
        return prdcrIndex;
    }

    /**
     * 监制编号的序号
     * @param prdcrIndex value
     */
    public void setPrdcrIndex(String prdcrIndex) {
        this.prdcrIndex = prdcrIndex;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 工序代码
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 工序名称
     * @return value
     */
    public String getProcessDesc() {
        return processDesc;
    }

    /**
     * 工序名称
     * @param processDesc value
     */
    public void setProcessDesc(String processDesc) {
        this.processDesc = processDesc;
    }

    /**
     * 二级工序代码
     * @return value
     */
    public String getProcessCodeC() {
        return processCodeC;
    }

    /**
     * 二级工序代码
     * @param processCodeC value
     */
    public void setProcessCodeC(String processCodeC) {
        this.processCodeC = processCodeC;
    }

    /**
     * 二级工序名称
     * @return value
     */
    public String getProcessDescC() {
        return processDescC;
    }

    /**
     * 二级工序名称
     * @param processDescC value
     */
    public void setProcessDescC(String processDescC) {
        this.processDescC = processDescC;
    }

    /**
     * 工序点代码
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /**
     * 工序点代码
     * @param stationCode value
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    /**
     * 工序点名称
     * @return value
     */
    public String getStationDesc() {
        return stationDesc;
    }

    /**
     * 工序点名称
     * @param stationDesc value
     */
    public void setStationDesc(String stationDesc) {
        this.stationDesc = stationDesc;
    }

    /**
     * 监制要求标识
     * @return value
     */
    public String getPrdcrPrcFl() {
        return prdcrPrcFl;
    }

    /**
     * 监制要求标识
     * @param prdcrPrcFl value
     */
    public void setPrdcrPrcFl(String prdcrPrcFl) {
        this.prdcrPrcFl = prdcrPrcFl;
    }

    /**
     * 监制类型(COM_BASE_INFO:1220)
     * @return value
     */
    public String getPrdcrPrcDesc() {
        return prdcrPrcDesc;
    }

    /**
     * 监制类型(COM_BASE_INFO:1220)
     * @param prdcrPrcDesc value
     */
    public void setPrdcrPrcDesc(String prdcrPrcDesc) {
        this.prdcrPrcDesc = prdcrPrcDesc;
    }

    /**
     * 提前天数
     * @return value
     */
    public String getPrdcrAdvcDay() {
        return prdcrAdvcDay;
    }

    /**
     * 提前天数
     * @param prdcrAdvcDay value
     */
    public void setPrdcrAdvcDay(String prdcrAdvcDay) {
        this.prdcrAdvcDay = prdcrAdvcDay;
    }

    /**
     * 监制单位编码(D+4位流水号)
     * @return value
     */
    public String getPdeptNo() {
        return pdeptNo;
    }

    /**
     * 监制单位编码(D+4位流水号)
     * @param pdeptNo value
     */
    public void setPdeptNo(String pdeptNo) {
        this.pdeptNo = pdeptNo;
    }

    /**
     * 监制单位名称
     * @return value
     */
    public String getPdeptName() {
        return pdeptName;
    }

    /**
     * 监制单位名称
     * @param pdeptName value
     */
    public void setPdeptName(String pdeptName) {
        this.pdeptName = pdeptName;
    }

    /**
     * 联系电话
     * @return value
     */
    public String getPhone() {
        return phone;
    }

    /**
     * 联系电话
     * @param phone value
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * 监制单位编码2
     * @return value
     */
    public String getPdeptNo2() {
        return pdeptNo2;
    }

    /**
     * 监制单位编码2
     * @param pdeptNo2 value
     */
    public void setPdeptNo2(String pdeptNo2) {
        this.pdeptNo2 = pdeptNo2;
    }

    /**
     * 监制单位名称2
     * @return value
     */
    public String getPdeptName2() {
        return pdeptName2;
    }

    /**
     * 监制单位名称2
     * @param pdeptName2 value
     */
    public void setPdeptName2(String pdeptName2) {
        this.pdeptName2 = pdeptName2;
    }

    /**
     * 联系电话2
     * @return value
     */
    public String getPhone2() {
        return phone2;
    }

    /**
     * 联系电话2
     * @param phone2 value
     */
    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    /**
     * 监制单位编码3
     * @return value
     */
    public String getPdeptNo3() {
        return pdeptNo3;
    }

    /**
     * 监制单位编码3
     * @param pdeptNo3 value
     */
    public void setPdeptNo3(String pdeptNo3) {
        this.pdeptNo3 = pdeptNo3;
    }

    /**
     * 监制单位名称3
     * @return value
     */
    public String getPdeptName3() {
        return pdeptName3;
    }

    /**
     * 监制单位名称3
     * @param pdeptName3 value
     */
    public void setPdeptName3(String pdeptName3) {
        this.pdeptName3 = pdeptName3;
    }

    /**
     * 联系电话3
     * @return value
     */
    public String getPhone3() {
        return phone3;
    }

    /**
     * 联系电话3
     * @param phone3 value
     */
    public void setPhone3(String phone3) {
        this.phone3 = phone3;
    }

    /**
     * 到场监制人员
     * @return value
     */
    public String getPrdcrMan() {
        return prdcrMan;
    }

    /**
     * 到场监制人员
     * @param prdcrMan value
     */
    public void setPrdcrMan(String prdcrMan) {
        this.prdcrMan = prdcrMan;
    }

    /**
     * 到场监制人电话
     * @return value
     */
    public String getPrdcrManPhone() {
        return prdcrManPhone;
    }

    /**
     * 到场监制人电话
     * @param prdcrManPhone value
     */
    public void setPrdcrManPhone(String prdcrManPhone) {
        this.prdcrManPhone = prdcrManPhone;
    }

    /**
     * 到场时间
     * @return value
     */
    public String getArriveTime() {
        return arriveTime;
    }

    /**
     * 到场时间
     * @param arriveTime value
     */
    public void setArriveTime(String arriveTime) {
        this.arriveTime = arriveTime;
    }

    /**
     * 完成时间
     * @return value
     */
    public String getFinishTime() {
        return finishTime;
    }

    /**
     * 完成时间
     * @param finishTime value
     */
    public void setFinishTime(String finishTime) {
        this.finishTime = finishTime;
    }

    /**
     * 到场监制人员2
     * @return value
     */
    public String getPrdcrMan2() {
        return prdcrMan2;
    }

    /**
     * 到场监制人员2
     * @param prdcrMan2 value
     */
    public void setPrdcrMan2(String prdcrMan2) {
        this.prdcrMan2 = prdcrMan2;
    }

    /**
     * 到场监制人电话2
     * @return value
     */
    public String getPrdcrManPhone2() {
        return prdcrManPhone2;
    }

    /**
     * 到场监制人电话2
     * @param prdcrManPhone2 value
     */
    public void setPrdcrManPhone2(String prdcrManPhone2) {
        this.prdcrManPhone2 = prdcrManPhone2;
    }

    /**
     * 到场时间2
     * @return value
     */
    public String getArriveTime2() {
        return arriveTime2;
    }

    /**
     * 到场时间2
     * @param arriveTime2 value
     */
    public void setArriveTime2(String arriveTime2) {
        this.arriveTime2 = arriveTime2;
    }

    /**
     * 完成时间2
     * @return value
     */
    public String getFinishTime2() {
        return finishTime2;
    }

    /**
     * 完成时间2
     * @param finishTime2 value
     */
    public void setFinishTime2(String finishTime2) {
        this.finishTime2 = finishTime2;
    }

    /**
     * 到场监制人员3
     * @return value
     */
    public String getPrdcrMan3() {
        return prdcrMan3;
    }

    /**
     * 到场监制人员3
     * @param prdcrMan3 value
     */
    public void setPrdcrMan3(String prdcrMan3) {
        this.prdcrMan3 = prdcrMan3;
    }

    /**
     * 到场监制人电话3
     * @return value
     */
    public String getPrdcrManPhone3() {
        return prdcrManPhone3;
    }

    /**
     * 到场监制人电话3
     * @param prdcrManPhone3 value
     */
    public void setPrdcrManPhone3(String prdcrManPhone3) {
        this.prdcrManPhone3 = prdcrManPhone3;
    }

    /**
     * 到场时间3
     * @return value
     */
    public String getArriveTime3() {
        return arriveTime3;
    }

    /**
     * 到场时间3
     * @param arriveTime3 value
     */
    public void setArriveTime3(String arriveTime3) {
        this.arriveTime3 = arriveTime3;
    }

    /**
     * 完成时间3
     * @return value
     */
    public String getFinishTime3() {
        return finishTime3;
    }

    /**
     * 完成时间3
     * @param finishTime3 value
     */
    public void setFinishTime3(String finishTime3) {
        this.finishTime3 = finishTime3;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}